NetworkManager & Kubuntu

Diskutiere NetworkManager & Kubuntu im Debian/Ubuntu/Knoppix Forum im Bereich Linux Distributionen; Ich will gerne meine WLAN Verbindung (ndiswrapper) über den NetworkManager aufbauen, jedoch weiß ich nicht, wie ich diesen einrchten muss. Wo...

  1. #1 MindFreak2008, 19.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Ich will gerne meine WLAN Verbindung (ndiswrapper) über den NetworkManager aufbauen, jedoch weiß ich nicht, wie ich diesen einrchten muss.
    Wo muss ich die ESSID und den Schlüssel eintragen und so?
    Ich finde ehrlich gesagt nichts bei dem Programm.

    Unter SUSE ging das ganz einfach.
     
  2. Anzeige

    Anzeige

    Wenn du mehr über Linux erfahren möchtest, dann solltest du dir mal folgende Shellkommandos anschauen.


    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. sinn3r

    sinn3r Law & Order
    Moderator

    Dabei seit:
    28.12.2006
    Beiträge:
    2.769
    Zustimmungen:
    3
  4. #3 MindFreak2008, 19.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Wenn ich nach der Beschreibung von ubuntuusers auf Manual Configuration vom NetworkManager klicke, sollte man dort eigentlich alles zur Verbindung eintragen können:
    Ich kann da aber nur die Erkennung der IP angeben oder eine eigene IP Adresse eintragen.
    Von ESSID oder Schlüssel ist dort aber noch keine Spur.
    Gibt es denn nicht so ein Fenster auch bei KDE und nicht nur bei Gnome?
    Mir würde es schon reichen, wenn mir jemand nur sagt, wie ich zu diesen Einstellungen (ESSID, Schlüssel, Verschlüsselung) kommen kann.
     
  5. #4 MindFreak2008, 20.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Ich habe gerade gelese, mann müsste das in /etc/network/interfaces einrichten.
    Aber wie muss ich das eintragen? Gibt es da eine bestimmte Schreibweise?
     
  6. #5 supersucker, 20.07.2007
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Ja, die gibt es. Im ubuntu-wiki findest du auch dazu ein Tutorial.
     
  7. #6 MindFreak2008, 20.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Aber da steht nicht wo man seine ESSID eintragen muss und den Schlüssel sowie die Verschlüsselungsart.
    Wo muss ich denn das eintragen?
     
  8. #7 blue-dev, 20.07.2007
    blue-dev

    blue-dev stranger with blue eyes

    Dabei seit:
    30.06.2007
    Beiträge:
    438
    Zustimmungen:
    0
    Doch, da gibt es immer ein auskommentiertes Beispiel.
    Außerdem ist das alles irgendwo beschrieben, dieses irgendwo findest du mit google in 2 Minuten.
     
  9. #8 MindFreak2008, 20.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Ok ich habe das irgendwo jetzt gefunden.
    Aber ich kann mit meinem Stick (Fritz!WLAN USB-Stick) noch keinen Router finden.
    Es kommt, nachdem ich
    Code:
    iwlist wlan0 scan
    
    eingegeben habe, die Meldung No such device.

    Außerdem hatte ich bei der Installation vom ndiswrapper noch 2 Fehler bei make bzw. make install.
    Ein Fehler davon lautet in etwa so:
    Code:
    Leaving directory /etc/[...]
    make[all] 2 Fehler
    
    Was für Pakete muss ich denn installiert haben, damit ich den ndiswrapper fehlerfrei installieren kann.

    Ich kann komischerweise das kernel-headers und kernel-sources Paket auf der Installations-CD nicht finden. Daher weiß ich auch nicht ob diese installiert sind. Doch eigentlich werden diese doch benötigt...
     
  10. #9 bitmuncher, 20.07.2007
    bitmuncher

    bitmuncher Foren Gott

    Dabei seit:
    08.05.2007
    Beiträge:
    3.180
    Zustimmungen:
    3
    Wie sieht der Output von iwconfig aus?
     
  11. #10 MindFreak2008, 20.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Code:
    lo        no wireless extensions.
    
    eth0      no wireless extensions.
    
     
  12. #11 bitmuncher, 20.07.2007
    bitmuncher

    bitmuncher Foren Gott

    Dabei seit:
    08.05.2007
    Beiträge:
    3.180
    Zustimmungen:
    3
    Wie du an dem Output sehen kannst, ist kein Netzwerk-Device bei dir erkannt, das WLAN-faehig ist. Gib mal bitte die vollstaendige Fehlermeldung bei der Installation vom ndiswrapper oder installiere ndiswrapper direkt ueber apt.
     
  13. #12 MindFreak2008, 20.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Code:
    rumswinkel@rumswinkel-desktop:~/Desktop/Internet/ndiswrapper-1.9$ sudo make
    make -C driver
    make[1]: Betrete Verzeichnis '/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver'
    make -C /lib/modules/2.6.20-15-generic/build SUBDIRS=/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver \
                    DRIVER_VERSION=1.9
    make[2]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.20-15-generic'
      LD      /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/built-in.o
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/hal.o
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/iw_ndis.o
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/loader.o
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/misc_funcs.o
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ndis.o
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ndis.c: In Funktion »NdisMRegisterInterrupt«:
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ndis.c:1806: Warnung: Übergabe des Arguments 2 von »request_irq« von inkompatiblem Zeigertyp
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.o
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:41: Warnung: »kmem_cache_t« ist veraltet
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111:41: error: macro "INIT_WORK" passed 3 arguments, but takes just 2
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c: In Funktion »ntoskernel_init«:
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111: Fehler: »INIT_WORK« nicht deklariert (erste Benutzung in dieser Funktion)
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111: Fehler: (Jeder nicht deklarierte Bezeichner wird nur einmal aufgeführt
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111: Fehler: für jede Funktion in der er auftritt.)
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:112:61: error: macro "INIT_WORK" passed 3 arguments, but takes just 2
    make[3]: *** [/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.o] Fehler 1
    make[2]: *** [_module_/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver] Fehler 2
    make[2]: Verlasse Verzeichnis '/usr/src/linux-headers-2.6.20-15-generic'
    make[1]: *** [default] Fehler 2
    make[1]: Verlasse Verzeichnis '/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver'
    make: *** [all] Fehler 2
    
    ________________________________________________________
    
    
    rumswinkel@rumswinkel-desktop:~/Desktop/Internet/ndiswrapper-1.9$ sudo make install
    make -C driver install
    make[1]: Betrete Verzeichnis '/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver'
    make -C /lib/modules/2.6.20-15-generic/build SUBDIRS=/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver \
                    DRIVER_VERSION=1.9
    make[2]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.20-15-generic'
      CC [M]  /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.o
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:41: Warnung: »kmem_cache_t« ist veraltet
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111:41: error: macro "INIT_WORK" passed 3 arguments, but takes just 2
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c: In Funktion »ntoskernel_init«:
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111: Fehler: »INIT_WORK« nicht deklariert (erste Benutzung in dieser Funktion)
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111: Fehler: (Jeder nicht deklarierte Bezeichner wird nur einmal aufgeführt
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:111: Fehler: für jede Funktion in der er auftritt.)
    /home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.c:112:61: error: macro "INIT_WORK" passed 3 arguments, but takes just 2
    make[3]: *** [/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver/ntoskernel.o] Fehler 1
    make[2]: *** [_module_/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver] Fehler 2
    make[2]: Verlasse Verzeichnis '/usr/src/linux-headers-2.6.20-15-generic'
    make[1]: *** [default] Fehler 2
    make[1]: Verlasse Verzeichnis '/home/rumswinkel/Desktop/Internet/ndiswrapper-1.9/driver'
    make: *** [install] Fehler 2
    
    Wie installiere ich den ndiswrapper den mit APT?
    Mit
    Code:
    apt-get install ndiswrapper
    
    funktioniert das nicht.
    Er findet das Paket ndiswrapper nicht. Ist aber auch logisch, weil es ja keines gibt.^^
    Wo bekomme ich denn das her? Ich benötige ja auch eine bestimmte Vers. vom ndiswrapper, damit das mit meinem Stick funktioniert.
     
  14. #13 bitmuncher, 20.07.2007
    bitmuncher

    bitmuncher Foren Gott

    Dabei seit:
    08.05.2007
    Beiträge:
    3.180
    Zustimmungen:
    3
    Zumindest bei Ubuntu sollte der ndiswrapper schon installiert sein. Was sagt 'modinfo ndiswrapper' bei dir?
     
  15. #14 MindFreak2008, 20.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Code:
    rumswinkel@rumswinkel-desktop:~$ modinfo ndiswrapper
    filename:       /lib/modules/2.6.20-15-generic/misc/ndiswrapper.ko
    license:        GPL
    version:        1.34
    description:    NDIS wrapper driver
    author:         ndiswrapper team <ndiswrapper-general@lists.sourceforge.net>
    srcversion:     4D461D88A41CF1A154F797B
    depends:        usbcore
    vermagic:       2.6.20-15-generic SMP mod_unload
    parm:           if_name:Network interface name or template (default: wlan%d) (charp)
    parm:           proc_uid:The uid of the files created in /proc (default: 0). (int)
    parm:           proc_gid:The gid of the files created in /proc (default: 0). (int)
    parm:           debug:debug level (int)
    parm:           hangcheck_interval:The interval, in seconds, for checking if driver is hung. (default: 0) (int)
    
     
  16. #15 bitmuncher, 20.07.2007
    bitmuncher

    bitmuncher Foren Gott

    Dabei seit:
    08.05.2007
    Beiträge:
    3.180
    Zustimmungen:
    3
    Die Version ist (wie auch dein Kernel) veraltet. Mach mal ein 'sudo apt-get update && sudo apt-get dist-upgrade' und danach einen Reboot. Dann solltest du Kernel 2.6.20-16-generic mit ndiswrapper 1.36 installiert haben. Versuch es dann mal mit diesem Wrapper und folge am Besten der Anleitung unter http://wiki.ubuntuusers.de/WLAN/NdisWrapper
     
  17. #16 MindFreak2008, 20.07.2007
    Zuletzt bearbeitet: 12.05.2008
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Da gibt es nur ein Problem beim Update.
    Unglücklicherweise habe ich ja noch kein Internet und deswegen ist ein Update des Kernels und des Wrappers nicht möglich.
    Bei der Version des ndiswrappers halte ich mich außerdem an diese Liste.
    Eigentlich wollte ich das ganze mit Vers. 1.9 machen, habe testweise aber mal die Vers. 1.34 versucht.
    Und wenn ich eine aktuelle Vers. bräuchte, währe das dann nicht 1.47? Oder ist 1.36 eine gut funktionierende Vers. von Wrapper unter Kubuntu?

    Code:
    $ sudo apt-get update && sudo apt-get dist-upgrade
    Fehl http://security.ubuntu.com feisty-security Release.gpg
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/main Translation-de
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/restricted Translation-de
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/universe Translation-de
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/multiverse Translation-de
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty Release.gpg
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/main Translation-de
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/restricted Translation-de
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/universe Translation-de
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/multiverse Translation-de
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates Release.gpg
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates/main Translation-de
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates/restricted Translation-de
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Ign http://de.archive.ubuntu.com feisty Release
    Ign http://de.archive.ubuntu.com feisty-updates Release
    Ign http://de.archive.ubuntu.com feisty/main Packages
    Ign http://de.archive.ubuntu.com feisty/restricted Packages
    Ign http://de.archive.ubuntu.com feisty/main Sources
    Ign http://de.archive.ubuntu.com feisty/restricted Sources
    Ign http://de.archive.ubuntu.com feisty/universe Packages
    Ign http://de.archive.ubuntu.com feisty/universe Sources
    Ign http://de.archive.ubuntu.com feisty/multiverse Packages
    Ign http://de.archive.ubuntu.com feisty/multiverse Sources
    Ign http://de.archive.ubuntu.com feisty-updates/main Packages
    Ign http://de.archive.ubuntu.com feisty-updates/restricted Packages
    Ign http://de.archive.ubuntu.com feisty-updates/main Sources
    Ign http://de.archive.ubuntu.com feisty-updates/restricted Sources
    Fehl http://de.archive.ubuntu.com feisty/main Packages
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/restricted Packages
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/main Sources
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/restricted Sources
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/universe Packages
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Ign http://security.ubuntu.com feisty-security Release
    Ign http://security.ubuntu.com feisty-security/main Packages
    Ign http://security.ubuntu.com feisty-security/restricted Packages
    Ign http://security.ubuntu.com feisty-security/main Sources
    Ign http://security.ubuntu.com feisty-security/restricted Sources
    Ign http://security.ubuntu.com feisty-security/universe Packages
    Ign http://security.ubuntu.com feisty-security/universe Sources
    Ign http://security.ubuntu.com feisty-security/multiverse Packages
    Ign http://security.ubuntu.com feisty-security/multiverse Sources
    Fehl http://security.ubuntu.com feisty-security/main Packages
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/restricted Packages
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/main Sources
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/restricted Sources
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/universe Packages
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/universe Sources
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/multiverse Packages
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://security.ubuntu.com feisty-security/multiverse Sources
      Konnte »security.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/universe Sources
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/multiverse Packages
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty/multiverse Sources
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates/main Packages
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates/restricted Packages
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates/main Sources
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Fehl http://de.archive.ubuntu.com feisty-updates/restricted Sources
      Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/Release.gpg nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/main/i18n/Translation-de.bz2 nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/restricted/i18n/Translation-de.bz2 nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/universe/i18n/Translation-de.bz2 nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/i18n/Translation-de.bz2 nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/Release.gpg nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/main/i18n/Translation-de.bz2 nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/i18n/Translation-de.bz2 nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/Release.gpg nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/main/i18n/Translation-de.bz2 nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/restricted/i18n/Translation-de.bz2 nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/universe/i18n/Translation-de.bz2 nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/multiverse/i18n/Translation-de.bz2 nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/main/binary-amd64/Packages.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/restricted/binary-amd64/Packages.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/main/source/Sources.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/restricted/source/Sources.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/universe/binary-amd64/Packages.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/universe/source/Sources.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/binary-amd64/Packages.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty/multiverse/source/Sources.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/main/binary-amd64/Packages.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/binary-amd64/Packages.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/main/source/Sources.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://de.archive.ubuntu.com/ubuntu/dists/feisty-updates/restricted/source/Sources.gz nicht holen  Konnte »de.archive.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/main/binary-amd64/Packages.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/restricted/binary-amd64/Packages.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/main/source/Sources.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/restricted/source/Sources.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/universe/binary-amd64/Packages.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/universe/source/Sources.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/multiverse/binary-amd64/Packages.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Konnte http://security.ubuntu.com/ubuntu/dists/feisty-security/multiverse/source/Sources.gz nicht holen  Konnte »security.ubuntu.com« nicht auflösen
    Paketlisten werden gelesen... Fertig
    E: Einige Indexdateien konnten nicht heruntergeladen werden, sie wurden ignoriert oder alte an ihrer Stelle benutzt.
    rumswinkel@rumswinkel-desktop:~$   
    
     
  18. #17 bitmuncher, 20.07.2007
    bitmuncher

    bitmuncher Foren Gott

    Dabei seit:
    08.05.2007
    Beiträge:
    3.180
    Zustimmungen:
    3
    Es ist auf jeden Fall "einfacher", wenn du den von Ubuntu mitgelieferten ndiswrapper nutzt anstatt ohne große Vorkenntnisse einen eigenen kompilieren zu wollen und sei er tausendmal neuer als der in Ubuntu enthaltene. Diesen Schritt sollte man erst machen, wenn man ganz sicher ist, dass die gewünschte WLAN-Karte nur von einer neueren Version unterstützt wird. Ansonsten musst du nämlich nach jedem Update, bei dem der Kernel aktualisiert wird den ndiswrapper neu bauen.
     
  19. #18 blue-dev, 20.07.2007
    blue-dev

    blue-dev stranger with blue eyes

    Dabei seit:
    30.06.2007
    Beiträge:
    438
    Zustimmungen:
    0
    Ja es ist einfacher, der ndiswrapper der mit Ubuntu kommt ist nur leider völlig vermurkst.
    Ich hab ich nie zum laufen gebracht, dauernd abstürze und was weiß ich nicht alles, oft einfach mal während der modprobe stehen geblieben.

    Mit checkinstall sollte ein Paket schnell gebaut sein, wie bitmuncher schon sagt muss es nach jedem Kernel update aktualisiert werden.

    Edit:
    Du brauchst den gcc, automake und die kernel-header so weit ich mich noch erinnern kann.
     
  20. #19 MindFreak2008, 21.07.2007
    MindFreak2008

    MindFreak2008 Foren As

    Dabei seit:
    10.06.2007
    Beiträge:
    96
    Zustimmungen:
    0
    Ich habe Adept mal gestartet und nach ndiswrapper gesucht und nichts gefunden.
    GCC habe ich installiert. Wenn ich nahc automake suche findet ehr auch nichts genau wie bei den kernel-headers. Ist das denn überhaupt alles auf der Installations-CD dabei?
     
  21. #20 bitmuncher, 21.07.2007
    bitmuncher

    bitmuncher Foren Gott

    Dabei seit:
    08.05.2007
    Beiträge:
    3.180
    Zustimmungen:
    3
    Nein, das ist nicht auf der Installations-CD. Vor allem die kernel-headers und automake nicht. Die wirst du aus dem Inet ziehen müssen. Nach ndiswrapper zu suchen ist total unnötig, da es sich dabei einfach um ein Kernel-Modul handelt, das mit dem Kernel mitinstalliert ist.

    @blue-dev: Ich kann deine Erfahrung nicht bestätigen und denke daher, dass das Problem weniger beim ndiswrapper als eher bei der verwendeten Firmware liegt, mit der der Wrapper nicht klarkommt.
     
Thema:

NetworkManager & Kubuntu

Die Seite wird geladen...

NetworkManager & Kubuntu - Ähnliche Themen

  1. NetworkManager 1.20 unterstützt WiFi-Mesh-Netze

    NetworkManager 1.20 unterstützt WiFi-Mesh-Netze: NetworkManager, ein Programm zum Verwalten der Netzwerkverbindungen eines Linux-Desktops, wurde in der Version 1.20 veröffentlicht. Zu den...
  2. NetworkManager 1.2 veröffentlicht

    NetworkManager 1.2 veröffentlicht: Der jetzt veröffentlichte NetworkManager 1.2 verbessert den Schutz der Privatsphäre und die Zusammenarbeit mit anderen Werkzeugen. Weiterlesen...
  3. Vorschau auf NetworkManager 1.2

    Vorschau auf NetworkManager 1.2: Was die kommende Version 1.2 von NetworkManager bringen wird, zeigt die jetzt veröffentlichte erste Betaversion. Sie erhöht unter anderem den...
  4. NetworkManager erreicht Version 1.0

    NetworkManager erreicht Version 1.0: NetworkManager, ein Programm zum Verwalten der Netzwerkverbindungen eines Linux-Desktops, wurde nach über 10 Jahren Arbeit in der Version 1.0...
  5. o2 Surf Stick konfigurieren mit umtsmon und NetworkManager

    o2 Surf Stick konfigurieren mit umtsmon und NetworkManager: Hallo, ich hatte mir neulich den o2-Surf Stick für mein Notebook mit openSUSE 11.4 zugelegt. Prinzipiell konnte ich keine Verbindung über das...
  1. Diese Seite verwendet Cookies um Inhalte zu personalisieren. Außerdem werden auch Cookies von Diensten Dritter gesetzt. Mit dem weiteren Aufenthalt akzeptierst du diesen Einsatz von Cookies.
    Information ausblenden